Shipments - Get
curl --request GET \
--url https://api.skulabs.com/shipments/get \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.skulabs.com/shipments/get"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.skulabs.com/shipments/get', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"_id": "507f1f77bcf86cd799439011",
"user_id": "507f1f77bcf86cd799439011",
"time": "2025-01-15T12:00:00.000Z",
"voided": true,
"return_label": true,
"deducted": true,
"response": {
"provider": "<string>",
"service": "<string>",
"label_url": "<string>",
"tracking_number": "<string>",
"tracking_url": "<string>",
"amount": 123,
"currency": "<string>",
"shipment_id": "<string>",
"signature": true
},
"request": {
"order_items": [
{
"item_id": "<string>",
"variant_id": "<string>",
"quantity": 123,
"sku": "<string>"
}
],
"parcel": {
"length": 123,
"width": 123,
"height": 123,
"weight": 123,
"weight_unit": "<string>",
"dimensions_unit": "<string>"
},
"address": {},
"carrier_account_ids": [
"<string>"
],
"provider": "<string>",
"service": "<unknown>"
}
}
]{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}{
"error": {
"message": "<string>",
"statusCode": 123,
"code": "<string>",
"overview": "<string>",
"origin": "<string>",
"skulabsTraceId": "<string>",
"user_error": true
}
}Shipments
Shipments - Get
Retrieve shipments for a specific order.
GET
/
shipments
/
get
Shipments - Get
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Query selector object for filtering results
Max results to return
Example:
50
Number of results to skip
Example:
0
Sort fields object, e.g. { "name": 1 }
Response
Array of shipments matching the query (flattened from orders)
Shipment ID
Example:
"507f1f77bcf86cd799439011"
User who created the shipment
Example:
"507f1f77bcf86cd799439011"
Shipment creation time
Example:
"2025-01-15T12:00:00.000Z"
Whether the shipment is voided
Whether this is a return label
Whether inventory was deducted
Shipment response details
Show child attributes
Show child attributes
Shipment request parameters
Show child attributes
Show child attributes
⌘I